# Stable Kernel Patches Review Status
Please list your name and review result below the patch item

  * UR:  Under Review
  * ACK: Acknowledge (if the patch is accepted)
  * TBB: To be backported (if other patches should be also backported)
  * NAK: Negative acknowledge (if the patch is rejected, please list the reason)
  * IGN: Patch was not reviewed as it is out of scope for CIP project


## v4.19.154
  - f5d8eef067ac Linux 4.19.154
  - 5f322f20a3a7 usb: gadget: f_ncm: allow using NCM in SuperSpeed Plus gadgets.
  - 07784c9a2a8b eeprom: at25: set minimum read/write access stride to 1
  - 2223a85dec1c USB: cdc-wdm: Make wdm_flush() interruptible and add wdm_fsync().
  - a79a42d8d6c9 usb: cdc-acm: add quirk to blacklist ETAS ES58X devices
  - 5e193ce443fe tty: serial: fsl_lpuart: fix lpuart32_poll_get_char
  - d96332f3f6cb net: korina: cast KSEG0 address to pointer in kfree
  - f34426b44d24 ath10k: check idx validity in __ath10k_htt_rx_ring_fill_n()
  - 30255785272f scsi: ufs: ufs-qcom: Fix race conditions caused by ufs_qcom_testbus_config()
  - 923fe07f1f3e usb: core: Solve race condition in anchor cleanup functions
  - 778e3a4e845e brcm80211: fix possible memleak in brcmf_proto_msgbuf_attach
  - 0484e56fefc6 mwifiex: don't call del_timer_sync() on uninitialized timer
  - 7f1fabf39f73 reiserfs: Fix memory leak in reiserfs_parse_options()
  - 796f0d39dcd5 ipvs: Fix uninit-value in do_ip_vs_set_ctl()
  - d44117291557 tty: ipwireless: fix error handling
  - 565ecf536c49 scsi: qedi: Fix list_del corruption while removing active I/O
  - d0260f611c08 scsi: qedi: Protect active command list to avoid list corruption
  - 18136b33e38d Fix use after free in get_capset_info callback.
  - f98cea40fa21 rtl8xxxu: prevent potential memory leak
  - a92781c83f3e brcmsmac: fix memory leak in wlc_phy_attach_lcnphy
  - 9adcc7d4e518 scsi: ibmvfc: Fix error return in ibmvfc_probe()
  - 738315384e49 Bluetooth: Only mark socket zapped after unlocking
  - 24bbdeda984b usb: ohci: Default to per-port over-current protection
  - e004f8f381e3 xfs: make sure the rt allocator doesn't run off the end
  - 7a1e074bc18d reiserfs: only call unlock_new_inode() if I_NEW
  - bad3576faaac misc: rtsx: Fix memory leak in rtsx_pci_probe
  - df4318440c15 ath9k: hif_usb: fix race condition between usb_get_urb() and usb_kill_anchored_urbs()
  - 03e738d32d46 can: flexcan: flexcan_chip_stop(): add error handling and propagate error value
  - 5ba7cf36d6ab usb: dwc3: simple: add support for Hikey 970
  - c7f46529c5c9 USB: cdc-acm: handle broken union descriptors
  - c1c3e98880ef udf: Avoid accessing uninitialized data on failed inode read
  - c33948e7f529 udf: Limit sparing table size
  - cedb0187b8ba usb: gadget: function: printer: fix use-after-free in __lock_acquire
  - 424b9b83ac91 misc: vop: add round_up(x,4) for vring_size to avoid kernel panic
  - 38b7ac0aa5a6 mic: vop: copy data to kernel space then write to io memory
  - d583c728ce8d scsi: target: core: Add CONTROL field for trace events
  - 7a78bc1a4a85 scsi: mvumi: Fix error return in mvumi_io_attach()
  - e8db1c3496ae PM: hibernate: remove the bogus call to get_gendisk() in software_resume()
  - 20ae51a36840 mac80211: handle lack of sband->bitrates in rates
  - cd3ecf114cbe ip_gre: set dev->hard_header_len and dev->needed_headroom properly
  - dff5d7741195 ntfs: add check for mft record size in superblock
  - 4b799668bea8 media: venus: core: Fix runtime PM imbalance in venus_probe
  - 13296b64a81c fs: dlm: fix configfs memory leak
  - 3a285c8251db media: saa7134: avoid a shift overflow
  - ac91e46ccec4 mmc: sdio: Check for CISTPL_VERS_1 buffer size
  - 69343448dba8 media: uvcvideo: Ensure all probed info is returned to v4l2
  - 444b54da04ff media: media/pci: prevent memory leak in bttv_probe
  - 60299cf61e1e media: bdisp: Fix runtime PM imbalance on error
  - 8a517a48cb16 media: platform: sti: hva: Fix runtime PM imbalance on error
  - 8526b2ea2f6b media: platform: s3c-camif: Fix runtime PM imbalance on error
  - fc71303c1fc7 media: vsp1: Fix runtime PM imbalance on error
  - 8e506a741122 media: exynos4-is: Fix a reference count leak
  - 93705ea75c85 media: exynos4-is: Fix a reference count leak due to pm_runtime_get_sync
  - 72818356f146 media: exynos4-is: Fix several reference count leaks due to pm_runtime_get_sync
  - bde69ac535eb media: sti: Fix reference count leaks
  - 07e82f531e6a media: st-delta: Fix reference count leak in delta_run_work
  - bc405f28d0a8 media: ati_remote: sanity check for both endpoints
  - 33adca1aadcf media: firewire: fix memory leak
  - 2c37decd6c5a crypto: ccp - fix error handling
  - f86b9bf6228b block: ratelimit handle_bad_sector() message
  - 847fbf22ce2e i2c: core: Restore acpi_walk_dep_device_list() getting called after registering the ACPI i2c devs
  - cc304126a239 perf: correct SNOOPX field offset
  - 2e2f41a9608c sched/features: Fix !CONFIG_JUMP_LABEL case
  - 2d1fba2112dd NTB: hw: amd: fix an issue about leak system resources
  - b6addb4a03be nvmet: fix uninitialized work for zero kato
  - d3df4136df05 powerpc/powernv/dump: Fix race while processing OPAL dump
  - 1dd6032b1928 arm64: dts: zynqmp: Remove additional compatible string for i2c IPs
  - 993dcbabef6b ARM: dts: owl-s500: Fix incorrect PPI interrupt specifiers
  - 347fa5456082 arm64: dts: qcom: msm8916: Fix MDP/DSI interrupts
  - 6646242f8a22 arm64: dts: qcom: pm8916: Remove invalid reg size from wcd_codec
  - 81124a34b256 memory: fsl-corenet-cf: Fix handling of platform_get_irq() error
  - 7933045de982 memory: omap-gpmc: Fix build error without CONFIG_OF
  - a076c65bb3f6 memory: omap-gpmc: Fix a couple off by ones
  - 7c6aa8c97a8d ARM: dts: sun8i: r40: bananapi-m2-ultra: Fix dcdc1 regulator
  - fd39a5903c2d ARM: dts: imx6sl: fix rng node
  - be6992b68bd0 netfilter: nf_fwd_netdev: clear timestamp in forwarding path
  - b221c4a1f877 netfilter: conntrack: connection timeout after re-register
  - f747f03f270a KVM: x86: emulating RDPID failure shall return #UD rather than #GP
  - 7bdbfb491fb2 Input: sun4i-ps2 - fix handling of platform_get_irq() error
  - 3fdaec080f35 Input: twl4030_keypad - fix handling of platform_get_irq() error
  - 64c1c4f6409c Input: omap4-keypad - fix handling of platform_get_irq() error
  - b04c0ccb51fd Input: ep93xx_keypad - fix handling of platform_get_irq() error
  - aff40b67f75b Input: stmfts - fix a & vs && typo
  - 2a0ffcfe9f3b Input: imx6ul_tsc - clean up some errors in imx6ul_tsc_resume()
  - af74b4a25fb2 SUNRPC: fix copying of multiple pages in gss_read_proxy_verf()
  - 707f8d0d380d vfio iommu type1: Fix memory leak in vfio_iommu_type1_pin_pages
  - f393f4a5fcbc vfio/pci: Clear token on bypass registration failure
  - 3abb2ac9594b ext4: limit entries returned when counting fsmap records
  - 95e7b4ee3d35 svcrdma: fix bounce buffers for unaligned offsets and multiple pages
  - f649e6f9d616 watchdog: sp5100: Fix definition of EFCH_PM_DECODEEN3
  - 322661e7616d watchdog: Use put_device on error
  - a19725131e16 watchdog: Fix memleak in watchdog_cdev_register
  - c4b3ab9e406d clk: bcm2835: add missing release if devm_clk_hw_register fails
  - c579bc45752b clk: at91: clk-main: update key before writing AT91_CKGR_MOR
  - 206d594334dc clk: rockchip: Initialize hw to error to avoid undefined behavior
  - fef798030547 pwm: img: Fix null pointer access in probe
  - df6e89d6371b rpmsg: smd: Fix a kobj leak in in qcom_smd_parse_edge()
  - 3dcf906a97c8 PCI: iproc: Set affinity mask on MSI interrupts
  - 72218b0ac162 i2c: rcar: Auto select RESET_CONTROLLER
  - 8299f4bfa915 mailbox: avoid timer start from callback
  - ef5f040e6b76 rapidio: fix the missed put_device() for rio_mport_add_riodev
  - e254737939c8 rapidio: fix error handling path
  - 438191cfde42 ramfs: fix nommu mmap with gaps in the page cache
  - 67f4d89b4efa lib/crc32.c: fix trivial typo in preprocessor condition
  - 3b0503e30811 f2fs: wait for sysfs kobject removal before freeing f2fs_sb_info
  - d57e5a4764e8 IB/rdmavt: Fix sizeof mismatch
  - 13aeb252fdd7 cpufreq: powernv: Fix frame-size-overflow in powernv_cpufreq_reboot_notifier
  - 65d73b1f2191 powerpc/perf/hv-gpci: Fix starting index value
  - eac7650040f6 powerpc/perf: Exclude pmc5/6 from the irrelevant PMU group constraints
  - a04b9430d2a4 overflow: Include header file with SIZE_MAX declaration
  - e8b33f91cec3 kdb: Fix pager search for multi-line strings
  - 657441f1728e RDMA/hns: Fix missing sq_sig_type when querying QP
  - b0b57d37f262 RDMA/hns: Set the unsupported wr opcode
  - 1b4aa9313f9b perf intel-pt: Fix "context_switch event has no tid" error
  - bd2ad814f460 RDMA/cma: Consolidate the destruction of a cma_multicast in one place
  - b4612866af7a RDMA/cma: Remove dead code for kernel rdmacm multicast
  - e8122b11d180 powerpc/64s/radix: Fix mm_cpumask trimming race vs kthread_use_mm
  - 69d28fa62e8e powerpc/tau: Disable TAU between measurements
  - df58e9b23aed powerpc/tau: Check processor type before enabling TAU interrupt
